Bug 182958 - [update] devel/json-c to 0.11
[update] devel/json-c to 0.11
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 01:00 UTC by Ryan Steinmetz
Modified: 2013-11-09 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.34 KB, patch)
2013-10-14 01:00 UTC, Ryan Steinmetz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Steinmetz freebsd_committer 2013-10-14 01:00:00 UTC
- Update to 0.11
- Update MASTER_SITES
- Fix URL/white space issue in pkg-descr

Fix: Apply patch, bump PORTREVISION on the following:

    audio/pianobar
    databases/postgis20
    databases/postgis21
    graphics/mypaint
    net/grive
    security/razorback-api
    security/razorback-virusTotal
    sysutils/rsyslog6
    sysutils/rsyslog6-dbi
    sysutils/rsyslog6-gnutls
    sysutils/rsyslog6-gssapi
    sysutils/rsyslog6-mysql
    sysutils/rsyslog6-pgsql
    sysutils/rsyslog6-relp
    sysutils/rsyslog6-rfc3195
    sysutils/rsyslog6-snmp
    sysutils/rsyslog7
    sysutils/rsyslog7-devel
    www/newsbeuter


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-14 01:00:08 UTC
Maintainer of devel/json-c,

Please note that PR ports/182958 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182958

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-10-14 01:00:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 William Grzybowski freebsd_committer 2013-11-09 03:44:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-11-09 15:57:28 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2013-11-09 15:57:30 UTC
Author: wg
Date: Sat Nov  9 15:57:18 2013
New Revision: 333306
URL: http://svnweb.freebsd.org/changeset/ports/333306

Log:
  devel/json-c: update to 0.11
  
  - Update to 0.11
  - Bump revision of dependent ports
  - Fix pkg-plist [1]
  
  PR:		ports/182958
  Submitted by:	zi, wg [1]
  Approved by:	maintainer (timeout)

Modified:
  head/audio/pianobar/Makefile
  head/databases/postgis20/Makefile
  head/databases/postgis21/Makefile
  head/devel/json-c/Makefile
  head/devel/json-c/distinfo
  head/devel/json-c/pkg-descr
  head/devel/json-c/pkg-plist
  head/graphics/mypaint/Makefile
  head/net/grive/Makefile
  head/security/razorback-api/Makefile
  head/security/razorback-virusTotal/Makefile
  head/sysutils/rsyslog6-gnutls/Makefile
  head/sysutils/rsyslog6-relp/Makefile
  head/sysutils/rsyslog6/Makefile
  head/sysutils/rsyslog7-devel/Makefile
  head/sysutils/rsyslog7/Makefile
  head/www/newsbeuter/Makefile

Modified: head/audio/pianobar/Makefile
==============================================================================
--- head/audio/pianobar/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/audio/pianobar/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -3,6 +3,7 @@
 
 PORTNAME=	pianobar
 PORTVERSION=	2013.09.15
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://6xq.net/projects/${PORTNAME}/
 

Modified: head/databases/postgis20/Makefile
==============================================================================
--- head/databases/postgis20/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/databases/postgis20/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,7 +2,7 @@
 
 PORTNAME=	postgis
 PORTVERSION=	2.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	databases geography
 MASTER_SITES=	http://download.osgeo.org/postgis/source/
 

Modified: head/databases/postgis21/Makefile
==============================================================================
--- head/databases/postgis21/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/databases/postgis21/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,6 +2,7 @@
 
 PORTNAME=	postgis
 PORTVERSION=	2.1.0
+PORTREVISION=	1
 CATEGORIES=	databases geography
 MASTER_SITES=	http://download.osgeo.org/postgis/source/
 

Modified: head/devel/json-c/Makefile
==============================================================================
--- head/devel/json-c/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/devel/json-c/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	json-c
-PORTVERSION=	0.9
+PORTVERSION=	0.11
 CATEGORIES=	devel
-MASTER_SITES=	http://oss.metaparadigm.com/json-c/
+MASTER_SITES=	https://github.com/${PORTNAME}/${PORTNAME}/archive/
 
 MAINTAINER=	gno@yahoo-inc.com
 COMMENT=	JSON (JavaScript Object Notation) implementation in C
@@ -12,8 +12,16 @@ COMMENT=	JSON (JavaScript Object Notatio
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 USES=		gmake pathfix pkgconfig
+USE_GITHUB=	yes
+USE_ZIP=	yes
+MAKE_JOBS_UNSAFE=	yes
+
+GH_ACCOUNT=	${PORTNAME}
+GH_PROJECT=	${PORTNAME}
+GH_TAGNAME=	20130402
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTNAME}-${PORTVERSION}
 
 CONFLICTS=	cocaine-core-[0-9]*
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/json-c/distinfo
==============================================================================
--- head/devel/json-c/distinfo	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/devel/json-c/distinfo	Sat Nov  9 15:57:18 2013	(r333306)
@@ -1,2 +1,2 @@
-SHA256 (json-c-0.9.tar.gz) = 702a486c9bf8e19137d484ab5c49b4ad314eb5e1fe37062a72c0a0fa39439475
-SIZE (json-c-0.9.tar.gz) = 340953
+SHA256 (json-c-0.11.zip) = b32bedb692ab0ab8205df7837e806082ec459b55693730238ca03238cf896e95
+SIZE (json-c-0.11.zip) = 550947

Modified: head/devel/json-c/pkg-descr
==============================================================================
--- head/devel/json-c/pkg-descr	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/devel/json-c/pkg-descr	Sat Nov  9 15:57:18 2013	(r333306)
@@ -1,5 +1,5 @@
 This is a port of json-c, an implementation of json in C. Json, JavaScript
 Object Notation is a lightweight data exchange format and a subset of the
-JavaScript programming language. 
+JavaScript programming language.
 
-WWW: http://oss.metaparadigm.com/json-c/
+WWW: https://github.com/json-c/json-c/wiki

Modified: head/devel/json-c/pkg-plist
==============================================================================
--- head/devel/json-c/pkg-plist	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/devel/json-c/pkg-plist	Sat Nov  9 15:57:18 2013	(r333306)
@@ -1,16 +1,27 @@
 lib/libjson.a
 lib/libjson.la
 lib/libjson.so
-lib/libjson.so.0
-include/json/arraylist.h
-include/json/bits.h
-include/json/debug.h
-include/json/json.h
-include/json/json_object.h
-include/json/json_object_private.h
-include/json/json_tokener.h
-include/json/json_util.h
-include/json/linkhash.h
-include/json/printbuf.h
+lib/libjson.so.1
+lib/libjson-c.a
+lib/libjson-c.la
+lib/libjson-c.so
+lib/libjson-c.so.2
+include/json-c/arraylist.h
+include/json-c/bits.h
+include/json-c/debug.h
+include/json-c/json.h
+include/json-c/json_c_version.h
+include/json-c/json_config.h
+include/json-c/json_inttypes.h
+include/json-c/json_object.h
+include/json-c/json_object_iterator.h
+include/json-c/json_object_private.h
+include/json-c/json_tokener.h
+include/json-c/json_util.h
+include/json-c/linkhash.h
+include/json-c/printbuf.h
+include/json
 libdata/pkgconfig/json.pc
-@dirrm include/json
+libdata/pkgconfig/json-c.pc
+@dirrmtry include/json
+@dirrm include/json-c

Modified: head/graphics/mypaint/Makefile
==============================================================================
--- head/graphics/mypaint/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/graphics/mypaint/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mypaint
 PORTVERSION=	1.1.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	graphics
 MASTER_SITES=	http://download.gna.org/mypaint/ \
 		http://mirror.amdmi3.ru/distfiles/

Modified: head/net/grive/Makefile
==============================================================================
--- head/net/grive/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/net/grive/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -3,6 +3,7 @@
 
 PORTNAME=	grive
 PORTVERSION=	0.2.0
+PORTREVISION=	1
 CATEGORIES=	net
 
 MAINTAINER=	ktsin@acm.org

Modified: head/security/razorback-api/Makefile
==============================================================================
--- head/security/razorback-api/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/security/razorback-api/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,7 +2,7 @@
 
 PORTNAME=	api
 PORTVERSION=	0.5.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	security
 MASTER_SITES=	SF/razorbacktm/API
 PKGNAMEPREFIX=	razorback-
@@ -17,7 +17,7 @@ LICENSE_FILE=	${WRKSRC}/LICENSE
 LIB_DEPENDS=	config.10:${PORTSDIR}/devel/libconfig \
 		uuid.1:${PORTSDIR}/misc/e2fsprogs-libuuid \
 		curl:${PORTSDIR}/ftp/curl \
-		json.0:${PORTSDIR}/devel/json-c
+		libjson.so:${PORTSDIR}/devel/json-c
 
 OPTIONS_DEFINE=	DEBUG ASSERT CNC_DEBUG STOMP_DEBUG
 

Modified: head/security/razorback-virusTotal/Makefile
==============================================================================
--- head/security/razorback-virusTotal/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/security/razorback-virusTotal/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -3,6 +3,7 @@
 
 PORTNAME=	virusTotal
 PORTVERSION=	0.5.0
+PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	SF/razorbacktm/Nuggets
 PKGNAMEPREFIX=	razorback-

Modified: head/sysutils/rsyslog6-gnutls/Makefile
==============================================================================
--- head/sysutils/rsyslog6-gnutls/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/sysutils/rsyslog6-gnutls/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -1,7 +1,7 @@
 # Created by: Cristiano Rolim Pereira <cristianorolim@hotmail.com>
 # $FreeBSD$
 
-PORTREVISION=	2
+PORTREVISION=	3
 
 COMMENT=	GNUTLS module for rsyslog
 MASTERDIR=	${.CURDIR}/../rsyslog6

Modified: head/sysutils/rsyslog6-relp/Makefile
==============================================================================
--- head/sysutils/rsyslog6-relp/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/sysutils/rsyslog6-relp/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -1,7 +1,7 @@
 # Created by: Cristiano Rolim Pereira <cristianorolim@hotmail.com>
 # $FreeBSD$
 
-PORTREVISION=	1
+PORTREVISION=	2
 
 COMMENT=	RELP input/output module for rsyslog
 MASTERDIR=	${.CURDIR}/../rsyslog6

Modified: head/sysutils/rsyslog6/Makefile
==============================================================================
--- head/sysutils/rsyslog6/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/sysutils/rsyslog6/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,7 +2,7 @@
 
 PORTNAME=	rsyslog
 PORTVERSION=	6.6.0
-PORTREVISION?=	0
+PORTREVISION?=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.rsyslog.com/files/download/rsyslog/
 PKGNAMESUFFIX=	6${EXTRASUFFIX}
@@ -18,7 +18,7 @@ USE_LDCONFIG=	yes
 LIB_DEPENDS+=	ee:${PORTSDIR}/devel/libee \
 		estr:${PORTSDIR}/devel/libestr \
 		sysinfo:${PORTSDIR}/devel/libsysinfo \
-		json.0:${PORTSDIR}/devel/json-c \
+		libjson.so:${PORTSDIR}/devel/json-c \
 		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid
 
 USES=		pkgconfig

Modified: head/sysutils/rsyslog7-devel/Makefile
==============================================================================
--- head/sysutils/rsyslog7-devel/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/sysutils/rsyslog7-devel/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,6 +2,7 @@
 
 PORTNAME=	rsyslog
 PORTVERSION=	7.5.5
+PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.rsyslog.com/files/download/rsyslog/
 
@@ -13,7 +14,7 @@ USE_LDCONFIG=	yes
 
 LIB_DEPENDS=	ee:${PORTSDIR}/devel/libee \
 		estr:${PORTSDIR}/devel/libestr \
-		json.0:${PORTSDIR}/devel/json-c \
+		libjson.so:${PORTSDIR}/devel/json-c \
 		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid
 
 BUILD_DEPENDS=	libgcrypt-config:${PORTSDIR}/security/libgcrypt

Modified: head/sysutils/rsyslog7/Makefile
==============================================================================
--- head/sysutils/rsyslog7/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/sysutils/rsyslog7/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -2,6 +2,7 @@
 
 PORTNAME=	rsyslog
 PORTVERSION=	7.4.4
+PORTREVISION=	1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.rsyslog.com/files/download/rsyslog/
 
@@ -12,7 +13,7 @@ BUILD_DEPENDS=	libgcrypt-config:${PORTSD
 
 LIB_DEPENDS=	ee:${PORTSDIR}/devel/libee \
 		estr:${PORTSDIR}/devel/libestr \
-		json.0:${PORTSDIR}/devel/json-c
+		libjson.so:${PORTSDIR}/devel/json-c
 
 USE_LDCONFIG=	yes
 

Modified: head/www/newsbeuter/Makefile
==============================================================================
--- head/www/newsbeuter/Makefile	Sat Nov  9 15:44:26 2013	(r333305)
+++ head/www/newsbeuter/Makefile	Sat Nov  9 15:57:18 2013	(r333306)
@@ -3,6 +3,7 @@
 
 PORTNAME=	newsbeuter
 PORTVERSION=	2.7
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://newsbeuter.org/downloads/
 
@@ -11,7 +12,7 @@ COMMENT=	An RSS feed reader for the text
 
 LIB_DEPENDS=	stfl.1:${PORTSDIR}/devel/stfl \
 		curl:${PORTSDIR}/ftp/curl \
-		json.0:${PORTSDIR}/devel/json-c
+		libjson.so:${PORTSDIR}/devel/json-c
 
 LICENSE=	MIT
 LICENSE_FILE=	${WRKSRC}/LICENSE
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"